Bug 214561 - multimedia/libva-intel-driver: correct the ARCH restriction
Summary: multimedia/libva-intel-driver: correct the ARCH restriction
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-16 04:22 UTC by Matthew Rezny
Modified: 2016-11-18 11:09 UTC (History)
2 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
correct ARCH restriction for libva-intel-driver (459 bytes, patch)
2016-11-16 04:22 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-11-16 04:22:19 UTC
Created attachment 177049 [details]
correct ARCH restriction for libva-intel-driver

The recent test run on aarch64 resulted in seemingly random application of either ONLY_FOR_ARCHS or BROKEN_aarch64.

In the case of the VAAPI driver for Intel GPUs which only exist in x86 systems, ONLY_FOR_ARCHS= amd64 i386 is clearly the correct choice.
Comment 1 Guido Falsi freebsd_committer 2016-11-16 10:36:14 UTC
Hi,

In the case of this port I agree, since this driver is really specific to i386/amd64 hardware.

I'm going to commit this shortly but let me coordinate with the other committers about this.

Mark have you any objection to marking the libva ports as ONLY_FOR_ARCHs? i don't think they will ever work on anything except i386 and amd64 anyway.
Comment 2 Matthew Rezny freebsd_committer 2016-11-16 11:01:02 UTC
To be clear, I'm only proposing marking the intel driver as only for x86, not all libva ports as there is libva-vdpau-driver and vdpau could work on other archs.
Comment 3 Guido Falsi freebsd_committer 2016-11-16 11:26:36 UTC
(In reply to matthew from comment #2)
> To be clear, I'm only proposing marking the intel driver as only for x86,
> not all libva ports as there is libva-vdpau-driver and vdpau could work on
> other archs.

You are right, I misrepresented my intentions. I agree with this.
Comment 4 commit-hook freebsd_committer 2016-11-17 14:28:17 UTC
A commit references this bug:

Author: madpilot
Date: Thu Nov 17 14:27:59 UTC 2016
New revision: 426285
URL: https://svnweb.freebsd.org/changeset/ports/426285

Log:
  Mark port as ONLY_FOR_ARCHS=amd64 i386, as it supports hardware
  specific to those architectures.

  PR:		214561
  Submitted by:	matthew@reztek.cz

Changes:
  head/multimedia/libva-intel-driver/Makefile
Comment 5 Guido Falsi freebsd_committer 2016-11-17 14:28:23 UTC
Committed! Thanks.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2016-11-18 11:09:11 UTC
libva itself does build on armv6 and sparc64.  Now, as to whether it's useful there, I have no idea ... so someone who understands what it is should set ONLY_FOR as appropriate.  Thanks.